clang 10.0.0git

Enumerations | Variables
clang::XRayInstrKind Namespace Reference

## Enumerations
enum | XRayInstrOrdinal : XRayInstrMask { XRIO_Function, XRIO_Custom, XRIO_Typed, XRIO_Count }

## Variables
constexpr XRayInstrMask | None = 0
constexpr XRayInstrMask | Function = 1U << XRIO_Function
constexpr XRayInstrMask | Custom = 1U << XRIO_Custom
constexpr XRayInstrMask | Typed = 1U << XRIO_Typed
constexpr XRayInstrMask | All = Function | Custom | Typed

## Enumeration Type Documentation

## ◆ XRayInstrOrdinal

enum clang::XRayInstrKind::XRayInstrOrdinal : XRayInstrMask

Enumerator
XRIO_Function |
XRIO_Custom |
XRIO_Typed |
XRIO_Count |

Definition at line 30 of file XRayInstr.h.

## Variable Documentation

## ◆ All

constexpr XRayInstrMask clang::XRayInstrKind::All = Function | Custom | Typed

Definition at line 41 of file XRayInstr.h.

Referenced by clang::XRayInstrSet::full(), and clang::parseXRayInstrValue().

## ◆ Custom

constexpr XRayInstrMask clang::XRayInstrKind::Custom = 1U << XRIO_Custom

Definition at line 39 of file XRayInstr.h.

Referenced by clang::driver::XRayArgs::addArgs(), clang::CodeGen::CodeGenFunction::AlwaysEmitXRayCustomEvents(), and clang::parseXRayInstrValue().

## ◆ Function

constexpr XRayInstrMask clang::XRayInstrKind::Function = 1U << XRIO_Function

Definition at line 38 of file XRayInstr.h.

Referenced by clang::driver::XRayArgs::addArgs(), clang::CodeGen::CodeGenModule::AddDeferredUnusedCoverageMapping(), clang::Sema::BuildDeclarationNameExpr(), CheckConstexprDeclStmt(), clang::FunctionDecl::Create(), clang::FunctionDecl::CreateDeserialized(), clang::Sema::CXXCheckConditionalOperands(), clang::CodeGen::CodeGenFunction::EmitCall(), clang::CodeGen::CodeGenFunction::EmitDecl(), clang::CodeGen::CodeGenModule::EmitDeferredUnusedCoverageMappings(), clang::CodeGen::CodeGenModule::EmitTopLevelDecl(), evalZeroParamNullReturn(), clang::comments::DeclInfo::fill(), getAsPointeeSymbol(), clang::getCursorKindForDecl(), clang::serialization::getDefinitiveDeclContext(), GetEnclosingDeclContextSignature(), clang::ExplicitSpecifier::getFromDecl(), getRecoverableKind(), clang::driver::toolchains::Linux::getSupportedSanitizers(), clang::driver::toolchains::Solaris::getSupportedSanitizers(), clang::driver::toolchains::FreeBSD::getSupportedSanitizers(), clang::driver::toolchains::NetBSD::getSupportedSanitizers(), clang::driver::toolchains::Darwin::getSupportedSanitizers(), clang::serialization::isRedeclarableDeclKind(), LazyInitialize(), clang::parseXRayInstrValue(), clang::CodeGen::CodeGenFunction::StartFunction(), clang::InitializationSequence::steps(), TryReferenceInitializationCore(), and TryRefInitWithConversionFunction().

## ◆ None

constexpr XRayInstrMask clang::XRayInstrKind::None = 0

Definition at line 37 of file XRayInstr.h.

Referenced by llvm::yaml::ScalarEnumerationTraits< GenericTaintChecker::VariadicType >::enumeration(), clang::ASTUnit::getCodeCompletionTUInfo(), clang::Sema::DefaultedFunctionKind::getDiagnosticIndex(), clang::driver::toolchains::FreeBSD::GetExceptionModel(), clang::driver::toolchains::NetBSD::GetExceptionModel(), clang::driver::toolchains::MachO::GetExceptionModel(), clang::driver::ToolChain::GetExceptionModel(), clang::driver::toolchains::Darwin::GetExceptionModel(), getOptimizationLevel(), clang::Sema::DefaultedFunctionKind::isComparison(), llvm::yaml::MappingTraits< TaintConfig::Propagation >::mapping(), clang::parseXRayInstrValue(), and clang::CodeGen::CGDebugInfo::remapDIPath().

## ◆ Typed

constexpr XRayInstrMask clang::XRayInstrKind::Typed = 1U << XRIO_Typed

Definition at line 40 of file XRayInstr.h.

Referenced by clang::driver::XRayArgs::addArgs(), clang::CodeGen::CodeGenFunction::AlwaysEmitXRayTypedEvents(), and clang::parseXRayInstrValue().